package com.logicbig.example;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.Invocation;
import javax.ws.rs.client.WebTarget;

public class MyClient {
    public static void main(String[] args) {
        Client client = ClientBuilder.newClient();
        WebTarget target = client.target("http://localhost:8080/test");
        Invocation.Builder builder = target.request();
        String response = builder.header("myHeader", "a")
                                 .header("myHeader", "b")
                                 .get(String.class);
        System.out.println(response);
        client.close();
    }
}